pkgsrc - gle - configure error

Dieses Thema im Forum "NetBSD" wurde erstellt von Bâshgob, 17.03.2006.

  1. #1 Bâshgob, 17.03.2006
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
    Moin!

    Ich steh hier grad etwas auf dem Schlauch.

    Environment:
    Code:
    # uname -a
    NetBSD herakles 2.1.0_STABLE NetBSD 2.1.0_STABLE (HERAKLES) #5: Sun Feb 12 19:05:04 CET 2006  root@herakles:/src/sys/arch/i386/compile/HERAKLES i386
    
    pkgsrc-current vom 17.03.2006 11:00 CET

    Beim Versuch gle-3.1.0nb2 zu bauen bekomme ich das hier:

    Code:
    checking for gethostbyname... yes
    checking for connect... yes
    checking for remove... yes
    checking for shmat... yes
    checking for IceConnectionNumber in -lICE... yes
    checking for glGetError in -lGL... no
    configure: error: Cannot find required GL library
    *** Error code 1
    
    Stop.
    
    Wo zum Geier befindet sich glGetError, zu welchem Paket soll das gehören? Ein ähnliches Problem gab es wohl schon mal 2004, allerdings passt der workaround m.E. heute nicht mehr. Wer kann sachdienliche Hinweise geben?

    TIA
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 DennisM, 17.03.2006
    DennisM

    DennisM Moderator u. Newsposter

    Dabei seit:
    08.05.2004
    Beiträge:
    4.883
    Zustimmungen:
    0
    Ort:
    GER/NRW/Essen
    Vielleicht zu X oder mesa?

    MFG

    Dennis
     
  4. #3 Bâshgob, 17.03.2006
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
    Das dachte ich auch.

    XFree86 hab ich schon gebaut (X11_TYPE=XFree86 in der /etc/mk.conf)
    glut
    glu
    Mesa, MesaLib, MesaDemos
    libtool-base

    Alles schon mal wieder neugemacht, leider bis jetzt Erfolglos. So langsam aber sicher gehen mal mir die Ideen aus, kommt ja eher selten vor.
     
  5. #4 hoernchen, 17.03.2006
    hoernchen

    hoernchen UBERgarstiges nagetier

    Dabei seit:
    17.02.2005
    Beiträge:
    1.081
    Zustimmungen:
    0
  6. #5 Bâshgob, 20.03.2006
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
    Moin!

    Besten Dank für eure Tipps, aber...lest selbst.

    Mal ein Stand der Dinge:

    Offensichtlich gehört glGetError zu XFree86, und zwar zu dem XFree86, das als set vorliegt und bei einer Vollinstallation mit auf die Platte gekübelt wird. Darauf deutet zumindest die Existenz einer Manpage zu glGetError in /usr/X11R6/man/man3 hin. Nachdem dann eine Vollinstallation von XFree86 aus pkgsrc auch keinen Erfolg brachte habe ich den ganzen Müll wieder geschmissen und bin auf xorg umgeschwenkt. Ergebnis: Genauso erfolglos.

    Ok, denk ich mir, dann halt auf die ganz harte Tour: Jetzt bekommt die Karre ein Update auf 3.0 verpasst, und dann schauen wir mal wer der Boss ist.

    Der cvs-checkout läuft grad noch, mal sehen wann das ganze fertig ist.
    Die ganze Aktion ist im Prinzip 'eh nur eine sportliche Übung. Bevor NetBSD mein derzeitiges HauptOS ablöst möchte ich mich darauf als Sicher als möglich bewegen können.

    Besten Gruß
     
  7. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  8. #6 hoernchen, 20.03.2006
    hoernchen

    hoernchen UBERgarstiges nagetier

    Dabei seit:
    17.02.2005
    Beiträge:
    1.081
    Zustimmungen:
    0
    glgeterror gehoert zu opengl soweit ich mich richtig erinner.
     
  9. #7 Bâshgob, 21.03.2006
    Zuletzt bearbeitet: 25.03.2006
    Bâshgob

    Bâshgob freies Radikal

    Dabei seit:
    29.07.2004
    Beiträge:
    2.334
    Zustimmungen:
    0
    Ort:
    Hannover
    Generell richtig. Leider scheinen die NetBSDler da ihr eigenes Süpplein zu kochen.
    Naja, ich werde dann mal nach dem upgrade berichten.

    Edit: Falls es jemanden hier gibt, den die Lösung interessiert bitte PN an mich. Von dummen Kommentaren hinsichtlich dieses Postings bitte ich abzusehen. Danke.
     
Thema:

pkgsrc - gle - configure error

Die Seite wird geladen...

pkgsrc - gle - configure error - Ähnliche Themen

  1. 15 Jahre pkgsrc

    15 Jahre pkgsrc: Die Freigabe der neuen Version 2012Q4 von pkgsrc fällt mit dem 15. Geburtstag des plattformübergreifenden Paketverwaltungssystems zusammen....
  2. pkgsrc - ezm3 kompiliert nicht unter (draco) Linux

    pkgsrc - ezm3 kompiliert nicht unter (draco) Linux: Hallo, ich weiss nicht ob das Thema hier richtig ist, oder unter NetBSD besser aufgehoben wäre, naja, wie auch immer. Ich habe mir mal Draco...
  3. Frage zu ports/pkgsrc und BSD

    Frage zu ports/pkgsrc und BSD: Hallo, *BSD benutzt ja ports/pkgsrc, das so ähnlich funktioniert wie gentoo. Außerdem gibt es Binärpkgs. pkgsrc ist ja schon schlimm genug...
  4. NetBSD Mediatomb ./configure Problem

    NetBSD Mediatomb ./configure Problem: Hallo Leute, mit einer NetBSD 5 Installatio habe ich folgendes Problem. Ich habe mir den Quellcode für mediatomb-0.12.1 heruntergeladen....
  5. dpkg-reconfigure mysql-server-5.0 | Passwort setzten

    dpkg-reconfigure mysql-server-5.0 | Passwort setzten: Hallo, nachdem ich schon 2 tage rumfrage und suche und keine Lösung habe schau ich mal hier. Suche hat im Forum auch nichts ergeben. Möchte gern...